
package de.ivu.elect.presentation.gebietsbaum.menu;

import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.GebietsgruppierungMeta;
import de.ivu.elect.jee.entity.Meta;
import de.ivu.elect.presentation.exchange.ExportDescription;
import de.ivu.elect.presentation.exchange.menu.AbstractExportMenuItemEntry;
import de.ivu.elect.presentation.gebietsbaum.exchange.GebietsgruppierungExportDescription;

public class GebietsgruppierungExportMenuItemEntry extends AbstractExportMenuItemEntry {

  private static final long serialVersionUID = 1L;

  @Inject
  private transient GebietsgruppierungMeta meta;

  @Inject
  private transient GebietsgruppierungExportDescription gebietsgruppierungExportDescription;

  public GebietsgruppierungExportMenuItemEntry() {
    super();
  }

  @Override
  public boolean isDisabledInternal() {
    return !isWahlSelected() && !isWahlterminSelected();
  }

  @Override
  protected ExportDescription getExportDescription() {
    return gebietsgruppierungExportDescription;
  }

  @Override
  protected Meta getMeta() {
    return meta;
  }
}
